Semtools - Bug #5365

Context-based semantic query
04/04/2011 01:48 PM - ben leinfelder

Status: New Start date: 04/04/2011
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: Metacat extensions Estimated time: 0.00 hour
Target version: metacat-plugin-0.9.0 Spent time: 0.00 hour
Bugzilla-ld: 5365

Description

Include interace for expressing context criteria for a semantic query. The query syntax allows context criteria, but there is no GUI for
it. The criteria assume a basic context template rather than any specific entity (because of the general nature of the query there is not
a concrete observation before submitting the query). Context is defined as <Entity> <Relationship> <Entity> and can be combined to
further expand/refine context conditions. The classes are expanded using the ontology as you would expect.

History

#1 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5365

#2 - 11/26/2013 09:00 AM - ben leinfelder

- Target version changed from Unspecified to sms-core-1.0.0

#3 - 11/26/2013 09:09 AM - ben leinfelder

- Target version changed from sms-core-1.0.0 to metacat-plugin-0.9.0
